View Issue Details

IDProjectCategoryView StatusLast Update
0032662CommunityOCCT:Codingpublic2021-12-17 18:41
Reporterdipts Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.4.0 
Target Version7.7.0 
Summary0032662: Coding - Missing header file in AIS_DataMapOfSelStat.hxx
DescriptionAIS_DataMapOfSelStat.hxx includes AIS_LocalStatus.hxx which is not existent anymore. I suppose that AIS_DataMapOfSelStat is obsolete and the header can safely be removed (together with AIS_DataMapIteratorOfDataMapOfSelStat.hxx).
Steps To Reproduce#include "AIS_DataMapOfSelStat.hxx"
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0031458 closedbugmaster Open CASCADE Visualization - refine classes across Prs3d and StdPrs packages 
related to 0032663 verifiedkgv Open CASCADE Coding - remove AIS_SequenceOfInteractive 
child of 0025467 closedkgv Open CASCADE Visualization - Possibility to remove AIS_LocalContext class 
child of 0024483 closedbugmaster Open CASCADE Visualization - drop unused class StdSelect_BRepHilighter 

Activities

git

2021-11-13 15:30

administrator   ~0105168

Branch CR32662 has been created by dipts.

SHA-1: 11feeb96d96afa4b091e719041840c82ba356148


Detailed log of new commits:

Author: dipts
Date: Sat Nov 13 13:30:39 2021 +0100

    0032662: Coding - Missing header file in AIS_DataMapOfSelStat.hxx
    
    Removed obsolete header files AIS_DataMapOfSelStat.hxx and AIS_DataMapIteratorOfDataMapOfSelStat.hxx.

git

2021-11-14 13:23

administrator   ~0105172

Branch CR32662 has been updated by kgv.

SHA-1: 2ab28597bdaa4e686d57673bfb06ebb5a433aa5a


Detailed log of new commits:

Author: kgv
Date: Sun Nov 14 12:24:42 2021 +0300

    Removed obsolete AIS_DataMapofIntegerListOfinteractive, AIS_ClearMode, AIS_ConnectStatus,
    AIS_IndexedDataMapOfOwnerPrs, AIS_MapOfInteractive, AIS_SequenceOfInteractive.

git

2021-11-14 13:24

administrator   ~0105173

Branch CR32662_1 has been created by kgv.

SHA-1: cf334392d47922636a8c9fcb2e12a9c4bc84df57


Detailed log of new commits:

Author: dipts
Date: Sat Nov 13 13:30:39 2021 +0100

    0032662: Coding - Missing header file in AIS_DataMapOfSelStat.hxx
    
    Removed obsolete header files AIS_DataMapOfSelStat.hxx and AIS_DataMapIteratorOfDataMapOfSelStat.hxx.
    Removed obsolete types AIS_DataMapofIntegerListOfinteractive, AIS_ClearMode, AIS_ConnectStatus,
    AIS_IndexedDataMapOfOwnerPrs, AIS_MapOfInteractive, AIS_SequenceOfInteractive.

git

2021-11-14 13:58

administrator   ~0105176

Branch CR32662_1 has been updated forcibly by kgv.

SHA-1: e3de01c1fa6a1ef24e3ca92861f900dd039a83a6

git

2021-11-14 14:02

administrator   ~0105178

Branch CR32662_1 has been updated forcibly by kgv.

SHA-1: f2e7014034588a022870f58d229ae028e6245f07

kgv

2021-11-14 17:29

developer   ~0105181

Please raise the patch
- OCCT: branch CR32662_1;
- OCC Products: branch CR32662_1.

http://jenkins-test-12.nnov.opencascade.com/view/CR32662_1-CR32662_1-KGV/

bugmaster

2021-11-21 12:31

administrator   ~0105292

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-21 13:00

administrator   ~0105312

Branch CR32662 has been deleted by mnt.

SHA-1: 2ab28597bdaa4e686d57673bfb06ebb5a433aa5a

git

2021-11-21 13:01

administrator   ~0105313

Branch CR32662_1 has been deleted by mnt.

SHA-1: f2e7014034588a022870f58d229ae028e6245f07

Related Changesets

occt: master 45143b7a

2021-11-13 12:30:39

dipts


Committer: inv Details Diff
0032662: Coding - Missing header file in AIS_DataMapOfSelStat.hxx

Removed obsolete header files AIS_DataMapOfSelStat.hxx and AIS_DataMapIteratorOfDataMapOfSelStat.hxx.
Removed obsolete types AIS_DataMapofIntegerListOfinteractive, AIS_ClearMode, AIS_ConnectStatus,
AIS_IndexedDataMapOfOwnerPrs, AIS_MapOfInteractive.
Affected Issues
0032662
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff File
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff File
rm - src/AIS/AIS_ClearMode.hxx Diff File
rm - src/AIS/AIS_ConnectStatus.hxx Diff File
rm - src/AIS/AIS_DataMapIteratorOfDataMapofIntegerListOfinteractive.hxx Diff File
rm - src/AIS/AIS_DataMapIteratorOfDataMapOfSelStat.hxx Diff File
rm - src/AIS/AIS_DataMapofIntegerListOfinteractive.hxx Diff File
rm - src/AIS/AIS_DataMapOfSelStat.hxx Diff File
rm - src/AIS/AIS_IndexedDataMapOfOwnerPrs.hxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
rm - src/AIS/AIS_MapIteratorOfMapOfInteractive.hxx Diff File
rm - src/AIS/AIS_MapOfInteractive.hxx Diff File
mod - src/AIS/FILES Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff File

occt-products: master 24ac02cc

2021-11-14 14:01:48

kgv


Committer: inv Details Diff
0032662: Coding - Missing header file in AIS_DataMapOfSelStat.hxx

Removed wrapping of obsolete type AIS_ClearMode.
Removed usage of obsolete AIS_MapOfInteractive.
Affected Issues
0032662
mod - diff Diff File
mod - samples/qt/OMF/src/OMFSampleView3D.cpp Diff File
mod - samples/swig/TKV3d.i Diff File

Issue History

Date Modified Username Field Change
2021-11-13 15:30 dipts New Issue
2021-11-13 15:30 dipts Assigned To => kgv
2021-11-13 15:30 git Note Added: 0105168
2021-11-13 15:31 dipts Status new => resolved
2021-11-14 12:12 kgv Relationship added child of 0025467
2021-11-14 12:13 kgv Test case number => N/A
2021-11-14 12:13 kgv Product Version 7.6.0 => 7.4.0
2021-11-14 12:13 kgv Target Version 7.6.0 => 7.7.0
2021-11-14 13:00 kgv Relationship added child of 0024483
2021-11-14 13:04 kgv Relationship added related to 0031458
2021-11-14 13:23 git Note Added: 0105172
2021-11-14 13:24 git Note Added: 0105173
2021-11-14 13:58 git Note Added: 0105176
2021-11-14 14:02 git Note Added: 0105178
2021-11-14 17:29 kgv Note Added: 0105181
2021-11-14 17:29 kgv Assigned To kgv => bugmaster
2021-11-14 17:29 kgv Status resolved => reviewed
2021-11-15 09:57 kgv Relationship added related to 0032663
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:31 bugmaster Note Added: 0105292
2021-11-21 12:46 inv Changeset attached => occt master 45143b7a
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-11-21 13:00 git Note Added: 0105312
2021-11-21 13:01 git Note Added: 0105313
2021-12-17 18:41 inv Changeset attached => occt-products master 24ac02cc
2021-12-17 18:41 kgv Assigned To inv => kgv